#include <std_include.hpp>
#include "getbots_command.hpp"

#include "../console.hpp"

const char* getbots_command::get_command() const
{
	return "getbots";
}

void getbots_command::handle_command(const network::address& target, const std::string_view&)
{
	static const std::array bot_names
	{
		"aerosoul",
		"Ash",
		"asmjit",
		"avail",
		"Barack Obama",
		"Berlusconi",
		"Boston",
		"Bubbles",
		"Caliber",
		"CAPTAINJERKFACE",
		"Catalyst",
		"Cenote",
		"Chicago",
		"clang",
		"Cressi",
		"Cypress",
		"David Guetta",
		"Debian",
		"Devil's Spring",
		"Diamante",
		"Diavolo",
		"DKo5",
		"Donald Trump",
		"Dsso",
		"Eagle's Nest",
		"Eldor",
		"Evan",
		"Eve",
		"Flex190",
		"FOURZEROTWO",
		"FragsAreUs",
		"FryTechTip",
		"Furry",
		"FutureRave",
		"Ginnie Springs",
		"Girl",
		"gsc-tool",
		"H3X1C",
		"Helium",
		"Hinder",
		"homura",
		"Horizon - SCR",
		"INeedBots",
		"INeedGames",
		"Infamous",
		"Inferno",
		"InfinityScript",
		"Jack Back",
		"Jebus3211",
		"JetFins",
		"JezuzLizard",
		"Jimbo",
		"KonaFuzzButt",
		"Kordhell",
		"King Crimson",
		"KiraFoxAF",
		"Lifeline",
		"Joe Biden",
		"Joel",
		"JTAG",
		"Laupetin",
		"llvm-project",
		"Loba",
		"Loona",
		"Loudward",
		"Louvenarde",
		"Mares",
		"Mattarella",
		"momo5502",
		"Montreal",
		"MSVC",
		"MUPP",
		"mxve",
		"Neapolis",
		"New York",
		"Nightzy",
		"OneFourOne",
		"OpenAssetTools",
		"PeterG",
		"pgriffin69x",
		"Portobello",
		"Portofino",
		"PottyMouth",
		"quaK",
		"RaidMax",
		"ramzi1337hak0r",
		"rapidjson",
		"Read Sea",
		"RektInator",
		"Resxt",
		"rEvoRebreather",
		"RezTech",
		"Roxie",
		"Santi Diving",
		"Sass",
		"saysupshelly",
		"Scarlxrd",
		"SCUBAPRO",
		"Serious",
		"Sestriere",
		"Sloth",
		"Slykuiper",
		"Snake",
		"Sparky",
		"Squirrel",
		"st0rm",
		"StarBerry",
		"Trimix",
		"TwinLeaf",
		"Ubuntu",
		"Valkyrie",
		"Vore",
		"Wattson",
		"Wanted",
		"Wereric",
		"xensik",
		"xoxor4d",
		"ZoneBuilder",
		"ZoneTool",
	};

	std::stringstream stream{};
	for (const auto& bot : bot_names)
	{
		stream << bot << std::endl;
	}

	this->get_server().send(target, "getbotsResponse", stream.str());
	console::log("Sent bot names: %s", target.to_string().data());
}
